Package org.flowable.cmmn.model

# Class ReactivateEventListener

java.lang.Object
org.flowable.cmmn.model.BaseElement
org.flowable.cmmn.model.CmmnElement
org.flowable.cmmn.model.CaseElement
org.flowable.cmmn.model.PlanItemDefinition
org.flowable.cmmn.model.EventListener
org.flowable.cmmn.model.UserEventListener
org.flowable.cmmn.model.ReactivateEventListener

All Implemented Interfaces:
  `HasExtensionAttributes`, `HasLifecycleListeners`

public class ReactivateEventListener extends UserEventListener
The reactivation listener is a very specific user event listener available on a historic case instance in order to reactivate it again.

Author:
  Micha Kiener

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected ReactivationRule`
  `defaultReactivationRule`
  The optional, default reactivation rule to be considered, if a plan item does not specify an explicit one, if this one is not provided either, such a plan item will be ignored for reactivation.
  `protected String`
  `reactivationAvailableConditionExpression`
  If there is an available condition set for the reactivate event listener as part of the model, it will end up here as the default available condition of the generic event listener will be predefined for a reactivate event listener making it unavailable as long as the case is active.

  ### Fields inherited from class org.flowable.cmmn.model.UserEventListener

  `authorizedRoleRefs`

  ### Fields inherited from class org.flowable.cmmn.model.EventListener

  `availableConditionExpression`

  ### Fields inherited from class org.flowable.cmmn.model.PlanItemDefinition

  `defaultControl, lifecycleListeners, planItemRef`

  ### Fields inherited from class org.flowable.cmmn.model.CaseElement

  `name, parent`

  ### Fields inherited from class org.flowable.cmmn.model.CmmnElement

  `documentation, documentationTextFormat`

  ### Fields inherited from class org.flowable.cmmn.model.BaseElement

  `attributes, extensionElements, id, xmlColumnNumber, xmlRowNumber`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReactivateEventListener()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ReactivationRule`
  `getDefaultReactivationRule()`
  `String`
  `getReactivationAvailableConditionExpression()`
  `void`
  `setDefaultReactivationRule(ReactivationRule defaultReactivationRule)`
  `void`
  `setReactivationAvailableConditionExpression(String reactivationAvailableConditionExpression)`

  ### Methods inherited from class org.flowable.cmmn.model.UserEventListener

  `getAuthorizedRoleRefs, setAuthorizedRoleRefs`

  ### Methods inherited from class org.flowable.cmmn.model.EventListener

  `getAvailableConditionExpression, setAvailableConditionExpression`

  ### Methods inherited from class org.flowable.cmmn.model.PlanItemDefinition

  `getDefaultControl, getLifecycleListeners, getPlanItemRef, setDefaultControl, setLifecycleListeners, setPlanItemRef, setValues, toString`

  ### Methods inherited from class org.flowable.cmmn.model.CaseElement

  `getName, getParent, getParentStage, setName, setParent`

  ### Methods inherited from class org.flowable.cmmn.model.CmmnElement

  `getDocumentation, getDocumentationTextFormat, setDocumentation, setDocumentationTextFormat, setValues`

  ### Methods inherited from class org.flowable.cmmn.model.BaseElement

  `addAttribute, addExtensionElement, getAttributes, getAttributeValue, getExtensionElements, getId, getXmlColumnNumber, getXmlRowNumber, setAttributes, setExtensionElements, setId, setValues, setXmlColumnNumber, setXmlRowNumber`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### defaultReactivationRule

    protected ReactivationRule defaultReactivationRule
    The optional, default reactivation rule to be considered, if a plan item does not specify an explicit one, if this one is not provided either, such a plan item will be ignored for reactivation.

  - ### reactivationAvailableConditionExpression

    protected String reactivationAvailableConditionExpression
    If there is an available condition set for the reactivate event listener as part of the model, it will end up here as the default available condition of the generic event listener will be predefined for a reactivate event listener making it unavailable as long as the case is active.

- ## Constructor Details

  - ### ReactivateEventListener

    public ReactivateEventListener()

- ## Method Details

  - ### getDefaultReactivationRule

    public ReactivationRule getDefaultReactivationRule()

  - ### setDefaultReactivationRule

    public void setDefaultReactivationRule(ReactivationRule defaultReactivationRule)

  - ### getReactivationAvailableConditionExpression

    public String getReactivationAvailableConditionExpression()

  - ### setReactivationAvailableConditionExpression

    public void setReactivationAvailableConditionExpression(String reactivationAvailableConditionExpression)